Package org.eclipse.graphiti.features.impl

## Class AbstractAddPictogramElementFeature

- java.lang.Object
- - org.eclipse.graphiti.features.impl.AbstractFeature
  - - org.eclipse.graphiti.features.impl.AbstractAddFeature
    - - org.eclipse.graphiti.features.impl.AbstractAddPictogramElementFeature

All Implemented Interfaces:
  `IAddFeature`, `IFeature`, `IFeatureProviderHolder`, `IAdd`, `IDescription`, `IName`

Direct Known Subclasses:
  `AbstractAddShapeFeature`

    public abstract class AbstractAddPictogramElementFeature
    extends AbstractAddFeature

The Class AbstractAddPictogramElementFeature implements an add feature especially for pictogram elements.

### Field Summary

### Fields inherited from class org.eclipse.graphiti.features.impl.AbstractAddFeature

`EMPTY`

### Constructor Summary

Constructors
`AbstractAddPictogramElementFeature​(IFeatureProvider fp)` Creates a new `AbstractAddPictogramElementFeature`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `canUpdatePictogramElement​(PictogramElement pe)` Checks if the pictogram element could be updated.
`protected void` `setSizeAndLocation​(GraphicsAlgorithm ga, int minWidth, int minHeight, IAreaContext context)` This is a convenience method for layouting a graphics algorithm.
`protected boolean` `updatePictogramElementNeeded​(PictogramElement pe)` Checks if the pictogram element has to be updated.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractAddFeature

`canExecute, execute, getName`

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.func.IAdd

`add, canAdd`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Constructor Detail

#### AbstractAddPictogramElementFeature

    public AbstractAddPictogramElementFeature​(IFeatureProvider fp)

Creates a new `AbstractAddPictogramElementFeature`.

Parameters:
  `fp` - the fp

### Method Detail

#### canUpdatePictogramElement

    protected boolean canUpdatePictogramElement​(PictogramElement pe)

Checks if the pictogram element could be updated. This implementation asks the feature provider for available update features.

Parameters:
  `pe` - the pictogram element
Returns:
  true, if the update could be processed

#### updatePictogramElementNeeded

    protected boolean updatePictogramElementNeeded​(PictogramElement pe)

Checks if the pictogram element has to be updated. This implementation asks the feature provider for available update features.

Parameters:
  `pe` - the pe
Returns:
  true, if update pictogram element needed

#### setSizeAndLocation

    protected void setSizeAndLocation​(GraphicsAlgorithm ga,
                                      int minWidth,
                                      int minHeight,
                                      IAreaContext context)

This is a convenience method for layouting a graphics algorithm.

Parameters:
  `ga` - the ga
  `minWidth` - minimum width
  `minHeight` - minimum height
  `context` - the layout context